#!/bin/sh
##
## update.sh, written by Sergey B Kirpichev <skirpichev@gmail.com>
##
## Update AWStats data for all configs, awstats.*.conf (Debian specific)
##

set -e

DEFAULT=/etc/default/awstats
AWSTATS=/usr/lib/cgi-bin/awstats.pl

# Set defaults.
AWSTATS_NICE=10

[ -f $AWSTATS ] || exit 1
[ -r "$DEFAULT" ] && . "$DEFAULT"

cd /etc/awstats

TMPFILE=`mktemp /tmp/awstats.XXXXXXXXXX`
for c in awstats.*.conf; do
  c=${c#awstats.} # remove prefix
  c=${c%.conf}    # remove suffix
  if ! nice -n $AWSTATS_NICE $AWSTATS -config=$c -update >$TMPFILE 2>&1; then
    # an error occurred
    cat $TMPFILE >&2
  fi
done
rm -f $TMPFILE
